/*
 *   external.c
 *
 *   This file is part of Emu48
 *
 *   Copyright (C) 1995 Sebastien Carlier
 *
 */
#include "pch.h"
#include "Emu48.h"

static __inline VOID Return(CHIPSET* w)
{
	w->rstkp=(w->rstkp-1)&7;
	w->pc = w->rstk[w->rstkp];
	w->rstk[w->rstkp] = 0;
	return;
}

VOID External(CHIPSET* w)
{
	if (w->pc==0x017A6) // Beep
	{
		MessageBeep(0xFFFFFFFF);
		//Beep(600,50);
		Return(w);
		return;
	}
	w->pc +=4;
	return;
}
